<?php if ( !defined( 'ABSPATH' ) ) exit;//PHPの宣言と直接アクセスの拒否

/***** 同期／非同期パターンへ同期しているかを表示 *****/
/* 列を追加 */
function haup_sync_status_column_register( $columns ) {
	$columns['SyncStatus'] =__('Sync Status','hima-art-utility');
	return $columns;
}
add_filter( 'manage_wp_block_posts_columns', 'haup_sync_status_column_register' );

/* 状態を追加 */
function haup_sync_status_column_display( $column_name, $post_id ) {
	$synced_title = esc_html(__('Sync','hima-art-utility'));
	$unsynced_title = esc_html(__('UnSync','hima-art-utility'));
	$status = esc_html(get_post_meta($post_id, 'wp_pattern_sync_status', true));
	$sync_color = 'background:#38c338;color:#fff;padding:8px;border-radius:4px;text-align:center;';
	$unsync_color = 'background:#dd3636;color:#fff;padding:8px;border-radius:4px;text-align:center;';

	if( $column_name == 'SyncStatus' ) {
		if ($status == 'unsynced') {
			echo '<div style="'.esc_html($unsync_color).'">'.esc_html($unsynced_title).'</div>';
		} else {
			echo '<div style="'.esc_html($sync_color).'">'.esc_html($synced_title).'</div>';
		}
	}
}
add_action( 'manage_wp_block_posts_custom_column', 'haup_sync_status_column_display', 10, 2 );

/* スタイル */
function haup_admin_sync_status_column_style_init(){
$custom_css_pre = hau_sanitize_css("
/* HAUP Sync Block Status Column Width */
.fixed .column-SyncStatus {width: 5%;}
");

	//スタイルコードを改行なしで整形する
	$custom_css = str_replace(PHP_EOL, '', $custom_css_pre);

	wp_add_inline_style('haup-only-admin-style', $custom_css );

}
add_action('admin_enqueue_scripts','haup_admin_sync_status_column_style_init');